<template>
  <div>
    <div class="answer-background" />
    <v-card
      class="card-answer mx-auto"
      outlined
    >
      <v-list-item three-line>
        <v-list-item-content>
          <div class="icon-jabarsurvey" />
          <v-list-item-title class="headline"><p>{{ $t('label.thankyou') }}</p></v-list-item-title>
          <v-list-item-subtitle class="content-answer">
            <p>{{ $t('label.participation_survey') }} <b>{{ name_survey }}</b>.</p>
          </v-list-item-subtitle>
        </v-list-item-content>
      </v-list-item>
    </v-card>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  name: 'ThanksSurvey',
  data() {
    return {
      name_survey: ''
    }
  },
  computed: {
    ...mapGetters('survey', [
      'detailSurvey'
    ])
  },
  async created() {
    await this.$store.dispatch('survey/resetDetailSurvey')
    const key = this.$route.query && this.$route.query.key
    if (!key) { this.$router.push({ path: this.redirect || '/login' }) }
    await this.$store.dispatch('survey/getSurveyByKey', key)
    this.name_survey = await this.detailSurvey.surveys.survey_name
  }
}
</script>
